Bug 1392214 - [RFE] ioprocess communication thread does not set the system thread name
Summary: [RFE] ioprocess communication thread does not set the system thread name
Status: CLOSED ERRATA
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: ioprocess
Version: 4.2.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.2.1
: 4.2.1
Assignee: Nir Soffer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-06 11:05 UTC by Nir Soffer
Modified: 2018-03-06 17:19 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-06 17:19:01 UTC
rule-engine: ovirt-4.2?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 66115 None None None 2016-11-06 11:40 UTC
oVirt gerrit 66116 None None None 2016-11-06 11:40 UTC
oVirt gerrit 66117 None None None 2016-11-06 11:42 UTC

Description Nir Soffer 2016-11-06 11:05:01 UTC
Description of problem:

Vdsm was modified to set the system thread name to make it easier to debug
performance issues using tools like htop or ps, showing system thread name.

ioprocess does not set the name, so the ioprocess communication thread inherit
the name of the thread starting it, which may be "itmap/<N>" or "monitor/<XXX>".

Version-Release number of selected component (if applicable):
Any

How reproducible:
Always

Steps to Reproduce:
1. Run ovirt with file based storage domains (NFS, glusterfs, etc.)
2. Watch vdsm threads in htop

Actual results:
- No thread named ioprocess/<PID>
- Some thread names are duplicated (e.g. itmap/0 or monitor/xyz)

Expected results:
- For each ioprocess process, we should see a thread named "ioprocess/<pid>"

Comment 1 Nir Soffer 2016-11-10 12:20:56 UTC
Implemented in https://github.com/oVirt/ioprocess/commit/8f9fa573463af7d41690db16616c54e84be4fe6f

Will be available in ioprocess-0.17.1 for ovirt-4.1.

Comment 2 Fedora Update System 2018-01-30 17:03:51 UTC
ioprocess-1.0.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbe8141dd2

Comment 3 Nir Soffer 2018-01-31 19:53:09 UTC
ioprocess upstream bugs should be under ovirt-distribution.

Comment 4 Fedora Update System 2018-01-31 22:45:30 UTC
ioprocess-1.0.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbe8141dd2

Comment 5 Fedora Update System 2018-02-04 13:26:04 UTC
ioprocess-1.0.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5fc2a37e8a

Comment 8 Fedora Update System 2018-02-04 20:18:48 UTC
ioprocess-1.0.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5fc2a37e8a

Comment 9 Fedora Update System 2018-03-06 17:19:01 UTC
ioprocess-1.0.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.